/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */
/* function comparNam() is moved from Pedchk/ to Stuff/ as it is
 * called both from Pedchk/ functions and Nghds/get_posit().
 */

#include "stuff.h"
#include "pedchk.h"

int comparNam (const void *p1, const void *p2)
{
/* KEYS_PP ppK1 = * (KEYS_PTRS * const *)p1;
   KEYS_PP ppK2 = * (KEYS_PTRS * const *)p2;
 */
   KEYS_PP ppK1;
   KEYS_PP ppK2;
   int   result;

   ppK1 = (KEYS_PP const) p1;
   ppK2 = (KEYS_PP const) p2;

   result = strncmp ((*ppK1)->nam, (*ppK2)->nam, MAXNAMLEN);
   if (result < 0)
      return -1;
   else if (result == 0)
      return 0;
   else
      return 1;
}
