/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */
/* vim: shiftwidth=3
 * */
/* $Id: map_pos.c,v 1.3 2005-08-14 00:22:16 thompson Exp $ */

#include "stuff.h"

double map_position (int pos, int sex)
{
   /* Global variables used */
   extern int *IntVal;
   extern double **RecVal;
   extern double **Marek;

   double cM = 0.0;
   int   i;

   /* Input: pos = 0 .. NTPos - 1 */
   pos += 1;
   if (IntVal[pos] == 0)
      cM -= rf2dist (RecVal[sex][pos]);

   else
   {
      for (i = 1; i < IntVal[pos]; ++i)
         cM += rf2dist (Marek[sex][i]);
      cM += rf2dist (RecVal[sex][pos]);
   }

   return cM;
}
