/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */
/* cdiv.f -- translated by f2c (version 19980913).
   You must link the resulting object file with the libraries:
	-lf2c -lm   (in that order)
*/

#include "f2c.h"

/* Subroutine */ int cdiv_ (ar, ai, br, bi, cr, ci)
     doublereal *ar, *ai, *br, *bi, *cr, *ci;
{
   /* System generated locals */
   doublereal d__1, d__2;

   /* Local variables */
   static doublereal s, ais, bis, ars, brs;

/* ***BEGIN PROLOGUE  CDIV */
/* ***REFER TO  EISDOC */

/*     Complex division, (CR,CI) = (AR,AI)/(BR,BI) */
/* ***ROUTINES CALLED  (NONE) */
/* ***END PROLOGUE  CDIV */

/* ***FIRST EXECUTABLE STATEMENT  CDIV */
   s = abs (*br) + abs (*bi);
   ars = *ar / s;
   ais = *ai / s;
   brs = *br / s;
   bis = *bi / s;
/* Computing 2nd power */
   d__1 = brs;
/* Computing 2nd power */
   d__2 = bis;
   s = d__1 * d__1 + d__2 * d__2;
   *cr = (ars * brs + ais * bis) / s;
   *ci = (ais * brs - ars * bis) / s;
   return 0;
}                                       /* cdiv_ */
